Skip to content
dropin
Search
Ctrl
K
Cancel
GitHub
Select theme
Dark
Light
Auto
Start here
Quickstart
Walkthrough
Status
Guides
Activities
Authentication & tokens
Feeds
Follow
Keeping feed data fresh
Migrating existing data
Notifications
Pagination
Promoted activities
Reactions
Webhooks
Concepts
Data & security
Errors
How it works
Limits
SDK Reference
@dropinnodex/server
Classes
DropInApiError
DropInServer
Interfaces
Activity
BatchResponse
DropInObject
DropInServerOptions
FeedPage
Follow
FollowStats
Notification
NotificationPage
Page
PatchBody
PromotedActivity
PromotedActivityInput
PromotedActivityRecord
Reaction
RequestOptions
Suggestion
TokenOptions
WebhookDestination
Type Aliases
BatchResultItem
ErrorCode
Variables
DEFAULT_API_URL
@dropinnodex/client
Classes
DropInApiError
DropInClient
Interfaces
Activity
ApiFieldError
DropInClientOptions
DropInObject
FeedPage
Follow
FollowStats
Notification
NotificationPage
Page
PatchBody
PromotedActivity
Reaction
RequestOptions
Suggestion
Type Aliases
ErrorCode
Variables
DEFAULT_API_URL
Functions
apiErrorFromResponse
@dropinnodex/react
Interfaces
DropInObject
PatchBody
PlacePromotedOptions
PromotedActivity
UseFeedOptions
UseInfiniteFeedOptions
Type Aliases
FeedItem
OptimisticOnError
OptimisticOnErrorCtx
Variables
useFeedActivities
Functions
DropInProvider
placePromoted
resolveRefs
useCurrentUser
useDropInClient
useDropInClientOrNull
useDropInEnabled
useFeed
useFeedActions
useFollow
useFollowers
useFollowing
useFollowStats
useInfiniteFeed
useNotifications
useReactionList
useReactions
useSuggestions
useTimeline
useUserFeed
API Reference
Overview
Operations
Health check
Readiness — every registered probe passed (unauthenticated, LB-friendly)
Fan-out worker DLQ depth (unauthenticated, scraper-friendly)
Notify-worker DLQ depth (unauthenticated, scraper-friendly)
Read a feed, enriched
Cheap change signal for a feed
Add an activity to a feed
Soft delete an activity
Patch an activity's custom and/or refs
Who this feed follows
Follow a target feed
Unfollow a target feed
Who follows this feed
Follower/following counts for a feed
Who this feed should follow
List reactions on an activity
React to an activity
Remove your reaction
Remove a reaction by id (GetStream parity)
Read the caller's notification feed (flat, newest first)
Cheap change signal for the caller's notifications
Mark notifications seen and/or read
The calling user
Upsert a user — server token only
Revoke all tokens issued before now — server token only
List this tenant's webhook destinations — server token only
Register a webhook destination — server token only
Delete a webhook destination — server token only
Batch import users — server token only
Batch import follows — server token only
Batch import activities — server token only
List this tenant's promoted activities — server token only
Create a promoted activity — server token only
Retract a promoted activity — server token only
Read many objects by ref
Read one object
Upsert an object (server token only)
Delete an object (server token only)
Patch an object (server token only)
Bulk upsert objects (server token only)
List all tenants (platform admin)
Create a tenant — provision its DB, migrate, register it
Get a tenant — never returns api_secret
Suspend or reactivate a tenant
Rotate the tenant's secret — the old one dies immediately
Aggregated queue health across the platform (platform admin)
Create a tenant operator — owner or member
Operator login — email + password
Redeem a one-time invite token and set a password
The caller's own operator profile
The caller's own tenant — never returns api_secret
Rotate the caller's own tenant secret — owner only
The operators on the caller's own tenant
Invite a teammate — owner only
Change a teammate's role — owner only
Disable a teammate — owner only
Re-enable a disabled teammate — owner only
Every activity in the caller's own tenant, newest first
Every end-user in the caller's own tenant, newest first
Operator-authenticated view of a feed — same response body as GET /v1/feeds/{group}/{id}
Who this feed follows — operator-authenticated view of GET /v1/feeds/{group}/{id}/follows
Who follows this feed — operator-authenticated view of GET /v1/feeds/{group}/{id}/followers
Follower/following counts for a feed — operator-authenticated view of GET /v1/feeds/{group}/{id}/stats
Cheap change signal for the console's live tables
Events we published to this tenant's webhook destinations
List this tenant's webhook destinations
Send a test event to this tenant's webhook destinations
GitHub
Select theme
Dark
Light
Auto
FollowStats
Properties
Section titled “Properties”
follower_count
Section titled “follower_count”
follower_count: number;
following_count
Section titled “following_count”
following_count: number;